Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for MySQL®
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Справочник метрик Managed Service for MySQL®
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database
  1. Справочник API
  2. REST (англ.)
  3. Database
  4. List

Managed Service for MySQL API, REST: Database.List

Статья создана
Yandex Cloud
Улучшена
amatol
Обновлена 1 июня 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database

Retrieves the list of databases in a cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mysql/v1/clusters/{clusterId}/databases

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster to list databases in.
To get this ID, make a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return.
If the number of available results is larger than pageSize, the API returns a ListDatabasesResponse.nextPageToken that can be used to get the next page of results in the subsequent DatabaseService.List requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token that can be used to iterate through multiple pages of results.
To get the next page of results, set pageToken to the ListDatabasesResponse.nextPageToken returned by the previous DatabaseService.List request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "databases": [
    {
      "name": "string",
      "clusterId": "string",
      "deletionProtectionMode": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

databases[]

Database

List of databases.

nextPageToken

string

The token that can be used to get the next page of results.
If the number of results is larger than ListDatabasesRequest.pageSize, use the nextPageToken as the value for the ListDatabasesRequest.pageToken in the subsequent DatabaseService.List request to iterate through multiple pages of results.
Each of the subsequent DatabaseService.List requests should use the nextPageToken value returned by the previous request to continue paging through the results.

DatabaseDatabase

An object that represents MySQL database.
See the documentation for details.

Field

Description

name

string

Name of the database.

clusterId

string

ID of the cluster that the database belongs to.

deletionProtectionMode

enum (DeletionProtectionMode)

Deletion Protection inhibits deletion of the database
Default value: DELETION_PROTECTION_MODE_DISABLED (protection is disabled)

  • DELETION_PROTECTION_MODE_DISABLED: Deletion protection is disabled
  • DELETION_PROTECTION_MODE_ENABLED: Deletion protection is enabled
  • DELETION_PROTECTION_MODE_INHERITED: Deletion protection mode is inherited from the cluster

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»